package com.usoftchina.bi.server.model.vo.configVo;

import com.usoftchina.bi.server.model.bo.Column;

import java.util.List;

public class ChartConfigInfo {
    private int chartId;
    private String chartName;
    private String tableName;
    private String chartType;
    private int dataId;            //数据源id
//    private int dashboardsId;      //看板id
    private int chartsGroup;
    private List<Column> groupBy;        //分组
    private List<Column> subsections;    //分段
    private String chartConfig;
    private String createBy;
    private int createId;
    private List<String> accessAuthority;   //访问权限
    private List<String> updateAuthority;    //修改权限
    private String describes;           //描述
    private String style;                //样式
    private String filters;          //筛选
    private String chartOption;      //列表缩略图数据
    private String fetchConfig;         //保存请求数据信息

    public String getFetchConfig() {
        return fetchConfig;
    }

    public void setFetchConfig(String fetchConfig) {
        this.fetchConfig = fetchConfig;
    }

    public int getCreateId() {
        return createId;
    }

    public void setCreateId(int createId) {
        this.createId = createId;
    }

    public int getChartsGroup() {
        return chartsGroup;
    }

    public void setChartsGroup(int chartsGroup) {
        this.chartsGroup = chartsGroup;
    }

    public int getChartId() {
        return chartId;
    }

    public void setChartId(int chartId) {
        this.chartId = chartId;
    }

    public String getChartName() {
        return chartName;
    }

    public void setChartName(String chartName) {
        this.chartName = chartName;
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public String getChartType() {
        return chartType;
    }

    public void setChartType(String chartType) {
        this.chartType = chartType;
    }

    public int getDataId() {
        return dataId;
    }

    public void setDataId(int dataId) {
        this.dataId = dataId;
    }

    public List<Column> getGroupBy() {
        return groupBy;
    }

    public void setGroupBy(List<Column> groupBy) {
        this.groupBy = groupBy;
    }

    public List<Column> getSubsections() {
        return subsections;
    }

    public void setSubsections(List<Column> subsections) {
        this.subsections = subsections;
    }

    public String getChartConfig() {
        return chartConfig;
    }

    public void setChartConfig(String chartConfig) {
        this.chartConfig = chartConfig;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public List<String> getAccessAuthority() {
        return accessAuthority;
    }

    public void setAccessAuthority(List<String> accessAuthority) {
        this.accessAuthority = accessAuthority;
    }

    public List<String> getUpdateAuthority() {
        return updateAuthority;
    }

    public void setUpdateAuthority(List<String> updateAuthority) {
        this.updateAuthority = updateAuthority;
    }

    public String getDescribes() {
        return describes;
    }

    public void setDescribes(String describes) {
        this.describes = describes;
    }

    public String getStyle() {
        return style;
    }

    public void setStyle(String style) {
        this.style = style;
    }

    public String getFilters() {
        return filters;
    }

    public void setFilters(String filters) {
        this.filters = filters;
    }

    public String getChartOption() {
        return chartOption;
    }

    public void setChartOption(String chartOption) {
        this.chartOption = chartOption;
    }

    @Override
    public String toString() {
        return "ChartConfigInfo{" +
                "chartId=" + chartId +
                ", chartName='" + chartName + '\'' +
                ", tableName='" + tableName + '\'' +
                ", chartType='" + chartType + '\'' +
                ", dataId=" + dataId +
                ", groupBy=" + groupBy +
                ", subsections=" + subsections +
                ", chartConfig='" + chartConfig + '\'' +
                ", createBy='" + createBy + '\'' +
                ", accessAuthority=" + accessAuthority +
                ", updateAuthority=" + updateAuthority +
                ", describes='" + describes + '\'' +
                ", style='" + style + '\'' +
                ", filters=" + filters +
                '}';
    }
}
